<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

  <xsl:output method="html" indent="no"/>
  <xsl:strip-space elements="*"/>
  <xsl:include href="buttons.xsl"/>

  <xsl:template match="LAYOUT">
    <xsl:variable name="cID" select="@ID"/>
    <html>
<!-- zsk-15 -->
      <head>
        <title>
          <xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        </title>
        <xsl:apply-templates select="META-TAGS"/>
        <link href="css/styles.css" type="text/css" rel="stylesheet" />
      </head>
      <body leftmargin="0" rightmargin="0" bottommargin="0" topmargin="0">
        <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
          <tr>
            <td width="100%" height="250px">
              <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                <tr>
                  <td width="100%" height="194px" style="background-image: url(images/headerbg.jpg)">
                    <table border="0" cellpadding="0" cellspacing="0" width="100%" height="194px">
                      <tr>
                        <td width="100%" height="194px" style=" padding-left:60px; padding-right:400px ;background-image:url(images/header.jpg); background-position:right; background-repeat:no-repeat">
                          <table border="0" cellpadding="0" cellspacing="0">
                            <tr>
                              <td style="padding-right:10px">
                                <a href="./"><img src="images/{LOGO/@NAME}" border="0" /></a>
                              </td>
                              <td class="company">
                                <xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
                              </td>
                            </tr>
                          </table>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
                <tr>
                  <td width="100%" height="56px" style="background-image: url(images/menubg.jpg)">
                    <table cellpadding="0" cellspacing="0" border="0" width="100%" height="56px">
                      <tr>
                        <td width="100%" height="56px" style="background-image: url(images/menubg2.jpg);
                                        background-position: right; background-repeat: no-repeat; padding-left: 50px"
                            align="left">
                          <table height="56px" cellpadding="0" cellspacing="0" border="0">
                            <tr>
                              <xsl:call-template name="TOP-MENU"/>
                            </tr>
                          </table>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td width="100%" height="100%" style="background-image: url(images/c2.jpg)">
              <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                <tr>
                  <td width="100%" height="100%" style="background-image: url(images/1.jpg); background-position: top;
                            background-repeat: repeat-x">
                    <table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
                      <tr>
                        <td width="100%" height="100%" style="background-image: url(images/c3.jpg); background-position: right top;
                                        background-repeat: no-repeat">
                          <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
                            <tr>
                              <td width="206px" height="100%" style="padding-top: 62px; padding-left: 51px; padding-bottom: 29px"
                                  valign="top">
                                <table cellpadding="0" cellspacing="0" border="0" width="153px" style="background-image: url(images/b4.jpg)">
                                  <tr>
                                    <td width="22px" height="100%">
                                      <table cellpadding="0" cellspacing="0" border="0" width="22px" height="100%">
                                        <tr>
                                          <td width="22px" height="30px" style="background-image: url(images/b1.jpg)">
                                          </td>
                                        </tr>
                                        <tr>
                                          <td width="22px" height="100%">
                                          </td>
                                        </tr>
                                        <tr>
                                          <td width="22px" height="40px" style="background-image: url(images/b5.jpg)">
                                          </td>
                                        </tr>
                                      </table>
                                    </td>
                                    <td width="110px" height="100%">
                                      <table cellpadding="0" cellspacing="0" border="0" width="110px" height="100%">
                                        <tr>
                                          <td width="110px" height="14px" style="background-image: url(images/b2.jpg)">
                                          </td>
                                        </tr>
                                        <tr>
                                          <td width="110px" height="100%">
                                            <table cellpadding="0" cellspacing="0" border="0" width="110px">
                                              <xsl:call-template name="SUB-MENU">
                                                <xsl:with-param name="pageID" select="@ID"/>
                                              </xsl:call-template>
                                            </table>
                                          </td>
                                        </tr>
                                        <tr>
                                          <td width="110px" height="31px" style="background-image: url(images/b6.jpg)">
                                          </td>
                                        </tr>
                                      </table>
                                    </td>
                                    <td width="21px" height="100%">
                                      <table cellpadding="0" cellspacing="0" border="0" width="21px" height="100%">
                                        <tr>
                                          <td width="21px" height="30px" style="background-image: url(images/b3.jpg)">
                                          </td>
                                        </tr>
                                        <tr>
                                          <td width="21px" height="100%">
                                          </td>
                                        </tr>
                                        <tr>
                                          <td width="21px" height="40px" style="background-image: url(images/b7.jpg)">
                                          </td>
                                        </tr>
                                      </table>
                                    </td>
                                  </tr>
                                </table>
                              </td>
                              <td width="100%" height="100%" style="padding-left: 100px; padding-top: 62px; padding-bottom: 40px;
                                                    padding-right: 100px" align="left" valign="top">
                                <table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
                                  <tr>
                                    <td width="100%" height="20px" class="text-header" valign="middle" align="left" style="padding-bottom:5px">
                                      <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
                                    </td>
                                  </tr>
                                  <tr>
                                    <td width="100%" height="100%" align="left" valign="top" class="content"  name="SB_stretch">
                                      <xsl:apply-templates select="PAGE-CONTENT"/>
                                    </td>
                                  </tr>
                                </table>
                              </td>
                            </tr>
                          </table>
                        </td>
                      </tr>
                    </table>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr>
            <td width="100%" height="79px" style="background-image: url(images/bbg.jpg)" align="center">
              <table cellpadding="0" cellspacing="0" border="0" height="79px">
                <tr>
                  <xsl:call-template name="BOTTOM-MENU"/>
                </tr>
              </table>
            </td>
          </tr>
        </table>
      </body>
    </html>
  </xsl:template>



  <xsl:template name="TOP-MENU">
    <xsl:apply-templates select="MENU" mode="top"/>
  </xsl:template>


  <xsl:template name="SUB-MENU">
    <xsl:param name="pageID"/>
    <xsl:choose>
      <xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
        <xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
      </xsl:when>
      <xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
        <xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
        <xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
      </xsl:when>
    </xsl:choose>
  </xsl:template>

  <xsl:template match="MENU-ITEM" mode="sub">
    <xsl:choose>
      <xsl:when test="@ID=/LAYOUT/@ID" >
        <tr>
          <td width="103px" height="34px" class="submenu">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </td>
          <td width="7px" height="34px">
            <img src="images/sbb.jpg" border="0" />
          </td>
        </tr>
      </xsl:when>
      <xsl:otherwise>
        <xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
          <tr>
            <td width="103px" height="34px">
              <a href="{@HREF}" class="asubmenu">
                <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
              </a>
            </td>
            <td width="7px" height="34px">
              <a href="">
                <img src="images/sbb.jpg" border="0" />
              </a>
            </td>
          </tr>
        </xsl:if>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <tr>
        <td colspan="2" style="background-color: #B4B4B4">
        </td>
      </tr>
    </xsl:if>
  </xsl:template>

  <xsl:template name="BOTTOM-MENU">
    <xsl:apply-templates select="MENU" mode="bottom"/>
  </xsl:template>

  <xsl:template match="MENU" mode="bottom">
    <xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
  </xsl:template>

  <xsl:template match="MENU-ITEM"  mode="bottom">
    <xsl:choose>
      <!-- when vizited inside-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
        <td height="79px" align="center" valign="middle">
          <a href="{@HREF}" class="bmenu">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </a>
        </td>
      </xsl:when>
      <!-- when active-->
      <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
        <td height="79px" align="center" valign="middle" class="bmenu">
          <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
        </td>
      </xsl:when>
      <xsl:otherwise>
        <td height="79px" align="center" valign="middle">
          <a href="{@HREF}" class="abmenu">
            <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
          </a>
        </td>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="position()!=last()">
      <td height="79px" width="46px" style="background-image: url(images/bhr.jpg)">
      </td>
    </xsl:if>
  </xsl:template>

  <xsl:template match="META-TAGS">
    <xsl:apply-templates mode="meta-tags"/>
  </xsl:template>

  <xsl:template match="*" mode="meta-tags">
    <meta name="{local-name(.)}">
      <xsl:attribute name="content">
        <xsl:value-of select="." disable-output-escaping="yes"/>
      </xsl:attribute>
    </meta>
  </xsl:template>


  <xsl:template match="PAGE-CONTENT">
    <xsl:comment> EDITABLE CONTENT </xsl:comment>
    <xsl:apply-templates mode="meta-tags"/>
  </xsl:template>

</xsl:stylesheet>
